<script lang="ts">
import Vue from 'vue';
import { SlpBreadcrumb } from '~/components/common/index';

export default Vue.extend({
  name: 'ComparisonHero',
  components: {
    SlpBreadcrumb,
  },
  props: {
    templateData: {
      type: Object,
      required: true,
      default: null,
    },
    comparisonData: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section>
    <SlpContainer>
      <SlpBreadcrumb class="slp-mt-32" :crumbs="comparisonData.crumbs" />
      <SlpTypography
        class="slp-mt-64 headline"
        variant="heading5-bold"
        tag="p"
        >{{ templateData.competative_comparison }}</SlpTypography
      >
      <SlpTypography class="slp-mt-24" variant="heading1-bold" tag="h1">{{
        comparisonData.title
      }}</SlpTypography>
      <div class="subtitle slp-mt-24">
        <SlpIcon
          class="slp-mr-8 subtitle__icon"
          :size="comparisonData.icon.size"
          :name="comparisonData.icon.name"
          :alt="comparisonData.icon.alt"
          :variant="comparisonData.icon.variant"
        />
        <SlpTypography variant="heading5" tag="span">
          {{ comparisonData.subtitle }}</SlpTypography
        >
      </div>
      <SlpHorizontalRule class="slp-mt-24" />
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.headline {
  @media (max-width: $breakpoint-md) {
    margin-top: 40px;
  }
}

.subtitle {
  display: flex;
  align-items: center;

  @media (max-width: $breakpoint-md) {
    align-items: flex-start;
    flex-direction: column;

    &__icon {
      margin-bottom: $spacing-8;
    }
  }

  &__icon {
    height: 24px;
    width: 24px;
  }
}

.slp-hr {
  border-top: 1px solid $color-surface-200;
  border-bottom: none;
}
</style>
